Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractPortalContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractPortalContext

All Implemented Interfaces:
  PortalContext

    public class AbstractPortalContext

extends java.lang.Object
implements PortalContext

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`AbstractPortalContext()`
`AbstractPortalContext(java.util.Map<java.lang.String,java.lang.String> props)`
`AbstractPortalContext(java.util.Set<org.jboss.portal.WindowState> windowStates, java.util.Set<org.jboss.portal.Mode> modes, java.util.Map<java.lang.String,java.lang.String> props)`

Method Summary
`java.lang.String` | `getInfo()` Return info about the portal.
`java.util.Set<org.jboss.portal.Mode>` | `getModes()` Return the modes accepted by this portal context.
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()` Return the set of properties of this portal context.
`java.util.Set<org.jboss.portal.WindowState>` | `getWindowStates()` Return the window states accepted by this portal context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPortalContext

    public AbstractPortalContext(java.util.Set<org.jboss.portal.WindowState> windowStates,
                                 java.util.Set<org.jboss.portal.Mode> modes,
                                 java.util.Map<java.lang.String,java.lang.String> props)

### AbstractPortalContext

    public AbstractPortalContext(java.util.Map<java.lang.String,java.lang.String> props)

### AbstractPortalContext

    public AbstractPortalContext()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Description copied from interface: `PortalContext`
  Return info about the portal.

  Specified by:
    `getInfo` in interface `PortalContext`
  Returns:
    portal infos

### getWindowStates

    public java.util.Set<org.jboss.portal.WindowState> getWindowStates()

  Description copied from interface: `PortalContext`
  Return the window states accepted by this portal context.

  Specified by:
    `getWindowStates` in interface `PortalContext`
  Returns:
    the window states

### getModes

    public java.util.Set<org.jboss.portal.Mode> getModes()

  Description copied from interface: `PortalContext`
  Return the modes accepted by this portal context.

  Specified by:
    `getModes` in interface `PortalContext`
  Returns:
    the modes

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

  Description copied from interface: `PortalContext`
  Return the set of properties of this portal context.

  Specified by:
    `getProperties` in interface `PortalContext`
  Returns:
    the properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.